Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierNeighborResponseMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierNeighborResponseMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class GlacierNeighborResponseMessage
extends GlacierMessage

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected long[]` | `lastSeen` DESCRIBE THE FIELD
`protected Id[]` | `neighbors` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierNeighborResponseMessage(int uid, Id[] neighbors, long[] lastSeen, NodeHandle source, Id dest, char tag)` Constructor for GlacierNeighborResponseMessage.

Method Summary
`long` | `getLastSeen(int index)` Gets the LastSeen attribute of the GlacierNeighborResponseMessage object
`Id` | `getNeighbor(int index)` Gets the Neighbor attribute of the GlacierNeighborResponseMessage object
`int` | `numNeighbors()` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### neighbors

    protected Id[] neighbors

  DESCRIBE THE FIELD

### lastSeen

    protected long[] lastSeen

  DESCRIBE THE FIELD

Constructor Detail

### GlacierNeighborResponseMessage

    public GlacierNeighborResponseMessage(int uid,
                                          Id[] neighbors,
                                          long[] lastSeen,
                                          NodeHandle source,
                                          Id dest,
                                          char tag)

  Constructor for GlacierNeighborResponseMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `neighbors` - DESCRIBE THE PARAMETER
  `lastSeen` - DESCRIBE THE PARAMETER
  `source` - DESCRIBE THE PARAMETER
  `dest` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

Method Detail

### getNeighbor

    public Id getNeighbor(int index)

  Gets the Neighbor attribute of the GlacierNeighborResponseMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Neighbor value

### getLastSeen

    public long getLastSeen(int index)

  Gets the LastSeen attribute of the GlacierNeighborResponseMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The LastSeen value

### numNeighbors

    public int numNeighbors()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.